summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLudovic Pouzenc <ludovic@pouzenc.fr>2019-01-07 19:13:20 +0100
committerLudovic Pouzenc <ludovic@pouzenc.fr>2019-01-07 19:13:20 +0100
commita88d8fd40b086939c94b98ef6bcd7a12b4fab66a (patch)
tree8f6dfcb7ae09822d5c75e3d06c03a1731a29dde3
parentcce9257146bf7daf046d50d1450765bf2f51997e (diff)
downloadtake-it-easy-linux-a88d8fd40b086939c94b98ef6bcd7a12b4fab66a.tar.gz
take-it-easy-linux-a88d8fd40b086939c94b98ef6bcd7a12b4fab66a.tar.bz2
take-it-easy-linux-a88d8fd40b086939c94b98ef6bcd7a12b4fab66a.zip
UID=0 check + apt[-get] update. Could emit warning if no tty.
-rwxr-xr-x[-rw-r--r--]d9-mail-family-fr.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/d9-mail-family-fr.sh b/d9-mail-family-fr.sh
index fff61ec..1adf445 100644..100755
--- a/d9-mail-family-fr.sh
+++ b/d9-mail-family-fr.sh
@@ -76,6 +76,13 @@ confappend() {
grep -q -- "$line" $file || echo $line >> $file
}
+# Vérifications d'environnement
+if [ $UID -ne 0 ]
+then echo "Ce script est prévu pour être lancé par root uniquement"
+ echo "Utilisez 'su -' ou 'sudo -i' pour obtenir un shell root"
+ exit 1
+fi
+
# Paramètres détéectés et utilisés par la suite du script
set -x
host=$(hostname)
@@ -97,7 +104,7 @@ t get gpg.key https://rspamd.com/apt-stable
t apt-key add /tmp/gpg.key
# Prise en compte des nouveaux dépots
-t apt update
+t apt-get update
# Préremplissage des questions posées à l'installation de certains paquets
t debconf-set-selections <<"EOT"